Webhooks
List webhooks
Lists the organization’s webhooks. Not paginated.
Required permission: alerts:read
GET
/
api
/
v1
/
webhooks
List webhooks
curl --request GET \
--url https://api.igrisecurity.com/api/v1/webhooks \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.igrisecurity.com/api/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.igrisecurity.com/api/v1/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "4d5e6f70-0000-4000-8000-00000000000a",
"name": "Security alerts",
"type": "http",
"url": "https://your-service.com/...****",
"eventTypes": [
"policy_deny",
"anomaly"
],
"enabled": true,
"hasSecret": true,
"createdAt": "2026-01-01T00:00:00Z",
"updatedAt": "2026-01-01T00:00:00Z"
}
],
"meta": {
"total": 1,
"limit": 1,
"offset": 0
}
}{
"error": "Unauthorized"
}{
"error": "Forbidden",
"required": "policies:write"
}⌘I
List webhooks
curl --request GET \
--url https://api.igrisecurity.com/api/v1/webhooks \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.igrisecurity.com/api/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.igrisecurity.com/api/v1/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "4d5e6f70-0000-4000-8000-00000000000a",
"name": "Security alerts",
"type": "http",
"url": "https://your-service.com/...****",
"eventTypes": [
"policy_deny",
"anomaly"
],
"enabled": true,
"hasSecret": true,
"createdAt": "2026-01-01T00:00:00Z",
"updatedAt": "2026-01-01T00:00:00Z"
}
],
"meta": {
"total": 1,
"limit": 1,
"offset": 0
}
}{
"error": "Unauthorized"
}{
"error": "Forbidden",
"required": "policies:write"
}